package org.implab.gradle.common.core.gradle;

import java.util.function.Consumer;

import org.gradle.api.plugins.ExtensionContainer;

public final class Extensions {
    private Extensions() {
    }

    public static Consumer<Class<?>> registerClass(ExtensionContainer extensions) {
        var extra = extensions.getExtraProperties();
        return clazz -> extra.set(clazz.getSimpleName(), clazz);
    }
}
